package org.tio.sitexxx.service.model.main.base;

import org.tio.jfinal.plugin.activerecord.IBean;
import org.tio.sitexxx.service.jf.TioModel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2026-02-25 16:56
 *    desc   : 基础任务
 * </pre>
 */
public class BaseTask<M extends BaseTask<M>> extends TioModel<M> implements IBean {
    public void setId(Integer value) {
        set("id", value);
    }

    public Integer getId(){
        return getInt("id");
    }
    public void setTitle(String value) {
        set("title", value);
    }

    public String getTitle(){
        return getStr("title");
    }

    public void setSummary(String value) {
        set("summary", value);
    }

    public String getSummary() {
        return getStr("summary");
    }
    public void setSign(String value) {
        set("sign", value);
    }

    public String getSign() {
        return getStr("sign");
    }

    public void setAdId(String value) {
        set("adId", value);
    }

    public String getAdId() {
        return getStr("adId");
    }

    public void setAdType(Integer value) {
        set("adType", value);
    }

    public Integer getAdType(){
        return getInt("adType");
    }

    public void setType(Integer value){
        set("type", value);
    }

    public Integer getType(){
        return getInt("type");
    }

    public void setCoin(BigDecimal value){
        set("coin", value);
    }

    public BigDecimal getCoin(){
        return getBigDecimal("coin");
    }

    public void setMaxCount(Integer value){
        set("maxCount", value);
    }

    public Integer getMaxCount(){
        return getInt("maxCount");
    }

    public void setStatus(Integer value) {
        set("status", value);
    }

    public Integer getStatus(){
        return getInt("status");
    }

    public void setCtime(Date value) {
        set("ctime", value);
    }

    public Date getCtime(){
        return getDate("ctime");
    }

    public void setUtime(Date value) {
        set("utime", value);
    }

    public Date getUtime(){
        return getDate("utime");
    }


}

